incubator-callback-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joe Bowser (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (CB-1359) bin/create script should automatically set the target sdk to the highest available
Date Tue, 11 Sep 2012 21:52:08 GMT

    [ https://issues.apache.org/jira/browse/CB-1359?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13453454#comment-13453454
] 

Joe Bowser edited comment on CB-1359 at 9/12/12 8:51 AM:
---------------------------------------------------------

Does this actually cause any issues if you have the latest SDK in project.properties? All
the target SDK does is force the app to behave how the Target SDK behaves, which in many instances
isn't correct. (i.e. No menu button on 3.x+).  I'd argue that this should be added by the
user after the fact.
                
      was (Author: bowserj):
    Does this actually cause any issues if you have the latest SDK in project.properties?
All the target SDK does is force the app to behave how the Target SDK behaves, which in many
instances isn't correct. (i.e. No menu button on 3.x+).  I'd argue that this should be optional.
                  
> bin/create script should automatically set the target sdk to the highest available
> ----------------------------------------------------------------------------------
>
>                 Key: CB-1359
>                 URL: https://issues.apache.org/jira/browse/CB-1359
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Android
>    Affects Versions: 2.0.0, 2.1.0
>         Environment: I installed everything on my new system so my "android list targets"
returns:
> Available Android targets:
> ----------
> id: 1 or "android-7"
>      Name: Android 2.1
>      Type: Platform
>      API level: 7
>      Revision: 3
>      Skins: HVGA, QVGA, WQVGA400, WQVGA432, WVGA800 (default), WVGA854
>      ABIs : armeabi
> ----------
> id: 2 or "Google Inc.:Google APIs:7"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 1
>      Description: Android + Google APIs
>      Based on Android 2.1 (API level 7)
>      Libraries:
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WVGA854, WQVGA400, HVGA, WQVGA432, WVGA800 (default), QVGA
>      ABIs : armeabi
> ----------
> id: 3 or "android-8"
>      Name: Android 2.2
>      Type: Platform
>      API level: 8
>      Revision: 3
>      Skins: HVGA, QVGA, WQVGA400, WQVGA432, WVGA800 (default), WVGA854
>      ABIs : armeabi
> ----------
> id: 4 or "Google Inc.:Google APIs:8"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 2
>      Description: Android + Google APIs
>      Based on Android 2.2 (API level 8)
>      Libraries:
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WVGA854, WQVGA400, HVGA, WQVGA432, WVGA800 (default), QVGA
>      ABIs : armeabi
> ----------
> id: 5 or "KYOCERA Corporation:DTS Add-On:8"
>      Name: DTS Add-On
>      Type: Add-On
>      Vendor: KYOCERA Corporation
>      Revision: 1
>      Description: DTS Add-On
>      Based on Android 2.2 (API level 8)
>      Libraries:
>       * com.kyocera.dualscreen (dualscreen.jar)
>           Dual Screen optional platform library
>      Skins: DTS400 (default), WVGA854, WQVGA400, HVGA, DTS800, WQVGA432, WVGA800, QVGA
>      ABIs : armeabi
> ----------
> id: 6 or "LGE:Real3D Add-On:8"
>      Name: Real3D Add-On
>      Type: Add-On
>      Vendor: LGE
>      Revision: 1
>      Description: Real3D add-on
>      Based on Android 2.2 (API level 8)
>      Libraries:
>       * com.lge.real3d (real3d.jar)
>           Real3D library
>      Skins: WVGA854, WQVGA400, Optimus3D (default), HVGA, WQVGA432, WVGA800, QVGA
>      ABIs : armeabi
> ----------
> id: 7 or "Samsung Electronics Co., Ltd.:GALAXY Tab Addon:8"
>      Name: GALAXY Tab Addon
>      Type: Add-On
>      Vendor: Samsung Electronics Co., Ltd.
>      Revision: 1
>      Based on Android 2.2 (API level 8)
>      Skins: WVGA854, WQVGA400, GALAXY Tab (default), HVGA, WQVGA432, WVGA800, QVGA
>      ABIs : armeabi
> ----------
> id: 8 or "android-10"
>      Name: Android 2.3.3
>      Type: Platform
>      API level: 10
>      Revision: 2
>      Skins: HVGA, QVGA, WQVGA400, WQVGA432, WVGA800 (default), WVGA854
>      ABIs : armeabi
> ----------
> id: 9 or "Google Inc.:Google APIs:10"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 2
>      Description: Android + Google APIs
>      Based on Android 2.3.3 (API level 10)
>      Libraries:
>       * com.android.future.usb.accessory (usb.jar)
>           API for USB Accessories
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WVGA854, WQVGA400, HVGA, WQVGA432, WVGA800 (default), QVGA
>      ABIs : armeabi
> ----------
> id: 10 or "Intel Corporation:Intel Atom x86 System Image:10"
>      Name: Intel Atom x86 System Image
>      Type: Add-On
>      Vendor: Intel Corporation
>      Revision: 1
>      Description: Intel Atom x86 System Image
>      Based on Android 2.3.3 (API level 10)
>      Skins: WVGA854, WQVGA400, HVGA, WQVGA432, WVGA800 (default), QVGA
>      ABIs : x86
> ----------
> id: 11 or "KYOCERA Corporation:DTS Add-On:10"
>      Name: DTS Add-On
>      Type: Add-On
>      Vendor: KYOCERA Corporation
>      Revision: 1
>      Description: DTS Add-On
>      Based on Android 2.3.3 (API level 10)
>      Libraries:
>       * com.kyocera.dualscreen (dualscreen.jar)
>           Dual Screen optional platform library
>      Skins: DTS400 (default), WVGA854, WQVGA400, HVGA, DTS800, WQVGA432, WVGA800, QVGA
>      ABIs : armeabi
> ----------
> id: 12 or "LGE:Real3D Add-On:10"
>      Name: Real3D Add-On
>      Type: Add-On
>      Vendor: LGE
>      Revision: 1
>      Description: Real3D add-on
>      Based on Android 2.3.3 (API level 10)
>      Libraries:
>       * com.lge.real3d (real3d.jar)
>           Real3D library
>      Skins: WVGA854, WQVGA400, Optimus3D (default), HVGA, WQVGA432, WVGA800, QVGA
>      ABIs : armeabi
> ----------
> id: 13 or "Sony Mobile Communications AB:EDK 2.0:10"
>      Name: EDK 2.0
>      Type: Add-On
>      Vendor: Sony Mobile Communications AB
>      Revision: 2
>      Description: SDK for Xperia(TM) Open APIs: Timescape(TM), Music Infinite, SmartKey,
and Smart Extension
>      Based on Android 2.3.3 (API level 10)
>      Libraries:
>       * com.sonyericsson.media.infinite.extension_1 (com.sonyericsson.media.infinite.extension_1.jar)
>           Library for Android Market filtering
>       * com.sonyericsson.eventstream_3 (com.sonyericsson.eventstream.jar)
>           Library for Android Market filtering
>       * com.sonyericsson.eventstream_1 (com.sonyericsson.eventstream.jar)
>           Library for Android Market filtering
>       * com.sonyericsson.eventstream_2 (com.sonyericsson.eventstream.jar)
>           Library for Android Market filtering
>      Skins: WVGA854, WQVGA400, HVGA, WXGA_XPERIA (default), WQVGA432, WVGA800, QVGA,
HVGA_XPERIA, WVGA_XPERIA
>      ABIs : armeabi
> ----------
> id: 14 or "android-11"
>      Name: Android 3.0
>      Type: Platform
>      API level: 11
>      Revision: 2
>      Skins: WXGA (default)
>      ABIs : armeabi
> ----------
> id: 15 or "Google Inc.:Google APIs:11"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 1
>      Description: Android + Google APIs
>      Based on Android 3.0 (API level 11)
>      Libraries:
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WXGA (default)
>      ABIs : armeabi
> ----------
> id: 16 or "android-12"
>      Name: Android 3.1
>      Type: Platform
>      API level: 12
>      Revision: 3
>      Skins: WXGA (default)
>      ABIs : armeabi
> ----------
> id: 17 or "Google Inc.:Google APIs:12"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 1
>      Description: Android + Google APIs
>      Based on Android 3.1 (API level 12)
>      Libraries:
>       * com.android.future.usb.accessory (usb.jar)
>           API for USB Accessories
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WXGA (default)
>      ABIs : armeabi
> ----------
> id: 18 or "android-13"
>      Name: Android 3.2
>      Type: Platform
>      API level: 13
>      Revision: 1
>      Skins: WXGA (default)
>      ABIs : armeabi
> ----------
> id: 19 or "Google Inc.:Google APIs:13"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 1
>      Description: Android + Google APIs
>      Based on Android 3.2 (API level 13)
>      Libraries:
>       * com.android.future.usb.accessory (usb.jar)
>           API for USB Accessories
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WXGA (default)
>      ABIs : armeabi
> ----------
> id: 20 or "android-14"
>      Name: Android 4.0
>      Type: Platform
>      API level: 14
>      Revision: 3
>      Skins: HVGA, QVGA, WQVGA400, WQVGA432, WSVGA, WVGA800 (default), WVGA854, WXGA720,
WXGA800
>      ABIs : armeabi-v7a
> ----------
> id: 21 or "Google Inc.:Google APIs:14"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 2
>      Description: Android + Google APIs
>      Based on Android 4.0 (API level 14)
>      Libraries:
>       * com.android.future.usb.accessory (usb.jar)
>           API for USB Accessories
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WVGA854, WQVGA400, WSVGA, WXGA720, HVGA, WQVGA432, WVGA800 (default), QVGA,
WXGA800
>      ABIs : armeabi-v7a
> ----------
> id: 22 or "android-15"
>      Name: Android 4.0.3
>      Type: Platform
>      API level: 15
>      Revision: 3
>      Skins: HVGA, QVGA, WQVGA400, WQVGA432, WSVGA, WVGA800 (default), WVGA854, WXGA720,
WXGA800
>      ABIs : armeabi-v7a, x86
> ----------
> id: 23 or "Google Inc.:Google APIs:15"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 2
>      Description: Android + Google APIs
>      Based on Android 4.0.3 (API level 15)
>      Libraries:
>       * com.google.android.media.effects (effects.jar)
>           Collection of video effects
>       * com.android.future.usb.accessory (usb.jar)
>           API for USB Accessories
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WVGA854, WQVGA400, WSVGA, WXGA720, HVGA, WQVGA432, WVGA800 (default), QVGA,
WXGA800
>      ABIs : armeabi-v7a
> ----------
> id: 24 or "Motorola Mobility, LLC.:ICS_R2:15"
>      Name: ICS_R2
>      Type: Add-On
>      Vendor: Motorola Mobility, LLC.
>      Revision: 2
>      Description: Android 4.0.4 phone
>      Based on Android 4.0.3 (API level 15)
>      Skins: WVGA854, WQVGA400, WSVGA, WXGA720, HVGA, ATRIX-HD (default), WQVGA432, WVGA800,
QVGA, WXGA800
>      ABIs : armeabi-v7a
> ----------
> id: 25 or "android-16"
>      Name: Android 4.1
>      Type: Platform
>      API level: 16
>      Revision: 2
>      Skins: HVGA, QVGA, WQVGA400, WQVGA432, WSVGA, WVGA800 (default), WVGA854, WXGA720,
WXGA800, WXGA800-7in
>      ABIs : armeabi-v7a
> ----------
> id: 26 or "Google Inc.:Google APIs:16"
>      Name: Google APIs
>      Type: Add-On
>      Vendor: Google Inc.
>      Revision: 2
>      Description: Android + Google APIs
>      Based on Android 4.1 (API level 16)
>      Libraries:
>       * com.google.android.media.effects (effects.jar)
>           Collection of video effects
>       * com.android.future.usb.accessory (usb.jar)
>           API for USB Accessories
>       * com.google.android.maps (maps.jar)
>           API for Google Maps
>      Skins: WVGA854, WQVGA400, WSVGA, WXGA800-7in, WXGA720, HVGA, WQVGA432, WVGA800 (default),
QVGA, WXGA800
>      ABIs : armeabi-v7a
>            Reporter: Simon MacDonald
>            Assignee: Joe Bowser
>            Priority: Minor
>             Fix For: 2.2.0
>
>
> If you run the command line tools as documented here:
> http://docs.phonegap.com/en/2.0.0/guide_command-line_index.md.html#Command-Line%20Usage_android
> then import the project into Eclipse you will see errors being reported from AndroidManifest.xml.
Two of the tags android:xlargeScreens and android:configChanges are not support in the minimum
SDK version which is set to 7. 
> It would be good if the bin/create script could run "android list targets" and automatically
set the minSdkVersion=7 and targetSdkVersion=max API level.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message